{
    template:'${tmpl}',
    data:function(){
        return {
          cs:[]
        }
    },
    mounted:function(){
      var that=this;
      var ecid=localStorage.getItem("ecompany_id");
      var eaccount_id = localStorage.getItem("eaccount_id") || 0;
      if(ecid && ecid!="" && ecid != "null"){
        this.$root.postReq("/web/econtractCtl/findCompleteContracts",{ecompany_id : ecid, usereaccount_id: eaccount_id}).then(function(d){
          if(d.status==0){
            that.cs=d.data;
            console.log(that.cs);
          }
        });
      }else{
        this.$router.push("/ecompany/signinfo");
      }
    },
    created:function(){

    },
    methods:{
     goInfo:function(id){
       this.$router.push({path:"/ecompany/signcontractinfo", query:{"id" : id}});
     }
    },
    vname:"gsb-waitsign"
}
